Bug 55427 - mail/courier is broken
Summary: mail/courier is broken
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Oliver Lehmann
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-08-09 19:40 UTC by Shizuka Kudo
Modified: 2003-08-09 23:41 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Shizuka Kudo 2003-08-09 19:40:12 UTC
        mail/courier is broken and outdated.

Fix: Applying this patch allows courier-0.42.2 to compile and fixes some problems on the
permissions. The dependency on other ports is also updated. 

__________________________________
Do you Yahoo!?
Yahoo! SiteBuilder - Free, easy-to-use web site design software
http://sitebuilder.yahoo.com
--0-1434135966-1060454189=:74550
Content-Type: text/x-diff; name="ports.diff"
Content-Description: ports.diff
Content-Disposition: inline; filename="ports.diff"



--0-1434135966-1060454189=:74550----XpGe4wC79mE0q0h5wUcuGGP3awsTQViXjuIxYSbaFNvE4WMU
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -ur mail/courier/Makefile.orig mail/courier/Makefile
--- mail/courier/Makefile.orig	Fri Aug  8 04:40:42 2003
+++ mail/courier/Makefile	Fri Aug  8 18:37:33 2003
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	courier
-PORTVERSION=	0.39.3
+PORTVERSION=	0.42.2
 CATEGORIES=	mail ipv6
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	courier
@@ -14,8 +14,6 @@
 MAINTAINER=	yds@CoolRat.org
 COMMENT=	Courier SMTP IMAP POP3 HTTP mail server suite
 
-BROKEN=		"Changes ownership/permission of manpages, broken pkg-plist"
-
 RUN_DEPENDS=	${LOCALBASE}/share/sysconftool/sysconftool:${PORTSDIR}/devel/sysconftool \
 		${LOCALBASE}/lib/perl5/site_perl/${PERL_VER}/Net/CIDR.pm:${PORTSDIR}/net/p5-Net-CIDR
 
@@ -50,14 +48,15 @@
 CALENDIR=	/var/spool/calendar
 MIMETYPES=	${LOCALBASE}/etc/apache/mime.types:${LOCALBASE}/etc/apache2/mime.types
 
+USE_BZIP2=	yes
 USE_SUBMAKE=	yes
 USE_PERL5=	yes
 USE_GMAKE=	yes
 USE_AUTOMAKE=	yes
 USE_LIBTOOL=	yes
 USE_OPENSSL=	yes
-USE_AUTOMAKE_VER=14
-USE_AUTOCONF_VER=213
+USE_AUTOMAKE_VER=15
+CONFIGURE_ENV=	REHASH=${SCRIPTDIR}/c_rehash
 CONFIGURE_ARGS=	--disable-root-check --with-db=db \
 		--enable-syslog=1 --enable-use-flock \
 		--with-mailuser=${MAILOWN} \
@@ -78,8 +77,6 @@
 		--with-default-maildrop=${MAILDROPDEFAULT} \
 		--enable-workarounds-for-imap-client-bugs
 
-PATH:=${PATH}:${SCRIPTDIR}
-
 # Respect the make.conf(5) NOUUCP setting
 WITH_TRANSPORT=	local esmtp dsn
 .if defined(NOUUCP)
@@ -147,15 +144,12 @@
 # patch around a bug in autoconf where the INSTALL macro does
 # not get set properly in directories more than one level deep
 post-build:
-	@${PERL} -pi -e 's:^INSTALL = \.\./:INSTALL = ${INSTALL} ${COPY} -o ${BINOWN} -g ${BINGRP}:;' \
-		`${GREP} -rl '^INSTALL = \.\./' ${WRKSRC}/* | ${GREP} '/Makefile$$'`
-	@${PERL} -pi -e 's:^TAR = gtar$$:TAR = ${TAR}:g;' \
-		`${GREP} -rl '^TAR = gtar$$' ${WRKSRC}/* | ${GREP} '/Makefile$$'`
 	@${PERL} -pi -e 's:^(auth)\s+(required).*:$$1\t\t$$2\tpam_unix.so\ttry_first_pass:g; \
 			s:^(account)\s+(required).*:$$1 \t$$2\tpam_unix.so:g; \
 			s:^(session)\s+(required).*:$$1 \t$$2\tpam_permit.so:g;' \
 		${WRKSRC}/*/*.authpam* \
 		${WRKSRC}/*/*/*.authpam*
+	@${PERL} -pi -e 's:^transform = .*freebsd.*:transform = s,x,x:;' ${WRKSRC}/Makefile ${WRKSRC}/*/Makefile ${WRKSRC}/*/*/Makefile
 	@${LN} ${WRKSRC}/gpglib/README.html	${WRKSRC}/gpglib/README.gpglib.html
 	@${LN} ${WRKSRC}/imap/FAQ		${WRKSRC}/imap/FAQ.imap
 	@${LN} ${WRKSRC}/imap/FAQ.html		${WRKSRC}/imap/FAQ.imap.html
diff -ur mail/courier/Makefile.man.orig mail/courier/Makefile.man
--- mail/courier/Makefile.man.orig	Sat Jun  8 18:54:01 2002
+++ mail/courier/Makefile.man	Fri Aug  8 18:26:05 2003
@@ -4,7 +4,7 @@
 	couriertcpd.1 \
 	couriertls.1 \
 	dot-forward.1 \
-	dotlock.1 \
+	lockmail.1 \
 	mailbot.1 \
 	maildirmake.1 \
 	maildrop.1 \
@@ -19,6 +19,7 @@
 	testmxlookup.1
 MAN5=	\
 	dot-courier.5 \
+	maildir.5 \
 	maildropex.5 \
 	maildropfilter.5 \
 	maildropgdbm.5
diff -ur mail/courier/Makefile.own.orig mail/courier/Makefile.own
--- mail/courier/Makefile.own.orig	Wed Aug 21 01:53:42 2002
+++ mail/courier/Makefile.own	Fri Aug  8 18:26:05 2003
@@ -3,8 +3,8 @@
 	bin/couriertls \
 	bin/deliverquota \
 	bin/dotforward \
-	bin/dotlock \
 	bin/imapd \
+	bin/lockmail \
 	bin/mailbot \
 	bin/maildirmake \
 	bin/makemime \
diff -ur mail/courier/distinfo.orig mail/courier/distinfo
--- mail/courier/distinfo.orig	Wed Aug 21 01:53:42 2002
+++ mail/courier/distinfo	Fri Aug  8 18:26:05 2003
@@ -1 +1 @@
-MD5 (courier-0.39.3.tar.gz) = 14a6e8d4ebb9053f2b7920d36bc5d3f9
+MD5 (courier-0.42.2.tar.bz2) = f607cbd949dd0fe7f138cf3b65d702f4
diff -ur mail/courier/pkg-plist.orig mail/courier/pkg-plist
--- mail/courier/pkg-plist.orig	Wed Aug 21 01:53:42 2002
+++ mail/courier/pkg-plist	Fri Aug  8 18:26:05 2003
@@ -27,14 +27,15 @@
 %%SUB_LDAP%%@unexec cmp -s %D/etc/courier/ldapaliasrc %D/etc/courier/ldapaliasrc.dist && rm -f %D/etc/courier/ldapaliasrc 2>/dev/null || true
 @unexec cmp -s %D/etc/courier/pop3d-ssl %D/etc/courier/pop3d-ssl.dist && rm -f %D/etc/courier/pop3d-ssl 2>/dev/null || true
 @unexec cmp -s %D/etc/courier/pop3d %D/etc/courier/pop3d.dist && rm -f %D/etc/courier/pop3d 2>/dev/null || true
+bin/addcr
 bin/cancelmsg
 bin/courier-config
 bin/couriermlm
 bin/couriertls
 bin/deliverquota
 bin/dotforward
-bin/dotlock
 bin/imapd
+bin/lockmail
 bin/mailbot
 bin/maildirmake
 bin/maildrop
@@ -302,8 +303,6 @@
 share/courier/filterctl
 share/courier/imapd
 share/courier/imapd-ssl
-share/courier/locale/locale.alias
-@dirrm share/courier/locale
 share/courier/makeacceptmailfor
 share/courier/makealiases
 share/courier/makedat
@@ -636,7 +635,6 @@
 %%PORTDOCS%%share/doc/courier/html/deliverquota.html
 %%PORTDOCS%%share/doc/courier/html/dot-courier.html
 %%PORTDOCS%%share/doc/courier/html/dot-forward.html
-%%PORTDOCS%%share/doc/courier/html/dotlock.html
 %%PORTDOCS%%share/doc/courier/html/draft-varshavchik-exdata-smtpext.txt
 %%PORTDOCS%%share/doc/courier/html/draft-varshavchik-security-smtpext.txt
 %%PORTDOCS%%share/doc/courier/html/draft-varshavchik-verp-smtpext.txt
@@ -653,7 +651,9 @@
 %%PORTDOCS%%share/doc/courier/html/links.html
 %%PORTDOCS%%share/doc/courier/html/local.html
 %%PORTDOCS%%share/doc/courier/html/localmailfilter.html
+%%PORTDOCS%%share/doc/courier/html/lockmail.html
 %%PORTDOCS%%share/doc/courier/html/mailbot.html
+%%PORTDOCS%%share/doc/courier/html/maildir.html
 %%PORTDOCS%%share/doc/courier/html/maildirmake.html
 %%PORTDOCS%%share/doc/courier/html/maildirquota.html
 %%PORTDOCS%%share/doc/courier/html/maildrop.README.html
@@ -671,6 +671,7 @@
 %%PORTDOCS%%share/doc/courier/html/makepercentrelay.html
 %%PORTDOCS%%share/doc/courier/html/makesmtpaccess.html
 %%PORTDOCS%%share/doc/courier/html/makeuserdb.html
+%%PORTDOCS%%share/doc/courier/html/manpage.css
 %%PORTDOCS%%share/doc/courier/html/mimegpg.html
 %%PORTDOCS%%share/doc/courier/html/mkesmtpdcert.html
 %%PORTDOCS%%share/doc/courier/html/mkimapdcert.html
diff -ur mail/courier/scripts/configure.courier.orig mail/courier/scripts/configure.courier
--- mail/courier/scripts/configure.courier.orig	Mon Feb 24 02:56:32 2003
+++ mail/courier/scripts/configure.courier	Fri Aug  8 18:34:00 2003
@@ -72,13 +72,13 @@
 		SET_LDAP2="OFF"
 	fi
 	if [ ":${WITH_MYSQL}" = ':yes' \
-	  -o -f ${LOCALBASE}/lib/mysql/libmysqlclient.so.10 ]; then
+	  -o -f ${LOCALBASE}/lib/mysql/libmysqlclient.so.12 ]; then
 		SET_MYSQL="ON"
 	else
 		SET_MYSQL="OFF"
 	fi
 	if [ ":${WITH_PGSQL}" = ':yes' \
-	  -o -f ${PGSQLBASE}/lib/libpq.so.2 ]; then
+	  -o -f ${PGSQLBASE}/lib/libpq.so.3 ]; then
 		SET_PGSQL="ON"
 	else
 		SET_PGSQL="OFF"
@@ -210,7 +210,7 @@
 				rm -f ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
 				exit 1
 			fi
-			echo "LIB_DEPENDS+=	ldap.2:\${PORTSDIR}/net/openldap20"
+			echo "LIB_DEPENDS+=	ldap.2:\${PORTSDIR}/net/openldap21"
 			CPPFLAGS="${CPPFLAGS} -I\${LOCALBASE}/include"
 			LDFLAGS="${LDFLAGS} -L\${LOCALBASE}/lib"
 			WITH_LDAP="--with-authldap"
@@ -225,7 +225,7 @@
 				rm -f ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
 				exit 1
 			else
-				echo "LIB_DEPENDS+=	mysqlclient.10:\${PORTSDIR}/databases/mysql323-client"
+				echo "LIB_DEPENDS+=	mysqlclient.12:\${PORTSDIR}/databases/mysql40-client"
 				WITH_MYSQL="--with-authmysql"
 				WITH_MYSQL="${WITH_MYSQL} --with-mysql-libs=\${LOCALBASE}/lib/mysql"
 				WITH_MYSQL="${WITH_MYSQL} --with-mysql-includes=\${LOCALBASE}/include/mysql"
--- mail/courier/files/patch-courier::perms.sh.in.orig	Sun Jun  9 02:54:01 2002
+++ mail/courier/files/patch-courier::perms.sh.in	Sun Aug 10 01:48:35 2003
@@ -34,3 +34,185 @@
  @bindir@/cancelmsg		6555
  @bindir@/courier-config		555
  @bindir@/mailq			2555
+--- courier/configure.orig	Mon Apr 21 20:12:33 2003
++++ courier/configure	Sat Aug  9 16:36:00 2003
+@@ -10961,12 +10961,12 @@
+ 
+ # Automake stupidity
+ 
+-if test "$testmode" = "0"
+-then
+-	INSTALL_PROGRAM='${INSTALL} -m 700'
+-	INSTALL_SCRIPT='${INSTALL} -m 700'
+-	INSTALL_DATA='${INSTALL} -m 600'
+-fi
++#if test "$testmode" = "0"
++#then
++#	INSTALL_PROGRAM='${INSTALL} -m 700'
++#	INSTALL_SCRIPT='${INSTALL} -m 700'
++#	INSTALL_DATA='${INSTALL} -m 600'
++#fi
+ 
+ ac_ext=cc
+ ac_cpp='$CXXCPP $CPPFLAGS'
+--- courier/configure.in.orig	Sun Mar 16 17:35:34 2003
++++ courier/configure.in	Sat Aug  9 16:36:22 2003
+@@ -465,12 +465,12 @@
+ 
+ # Automake stupidity
+ 
+-if test "$testmode" = "0"
+-then
+-	INSTALL_PROGRAM='${INSTALL} -m 700'
+-	INSTALL_SCRIPT='${INSTALL} -m 700'
+-	INSTALL_DATA='${INSTALL} -m 600'
+-fi
++#if test "$testmode" = "0"
++#then
++#	INSTALL_PROGRAM='${INSTALL} -m 700'
++#	INSTALL_SCRIPT='${INSTALL} -m 700'
++#	INSTALL_DATA='${INSTALL} -m 600'
++#fi
+ 
+ AC_LANG_CPLUSPLUS
+ AC_CACHE_CHECK([if the C++ compiler needs -fhandle-exceptions],
+--- courier/doc/Makefile.am.orig	Mon Apr 21 22:07:07 2003
++++ courier/doc/Makefile.am	Sat Aug  9 16:20:59 2003
+@@ -505,18 +505,18 @@
+ 	$(MAKE) do-man-install
+ 
+ do-man-install:
+-	for f in $(mandir) $(man1dir) $(man7dir) $(man8dir) ; do test -d $(DESTDIR)$$f && chmod 755 $(DESTDIR)$$f ; done ; exit 0
++#	for f in $(mandir) $(man1dir) $(man7dir) $(man8dir) ; do test -d $(DESTDIR)$$f && chmod 755 $(DESTDIR)$$f ; done ; exit 0
+ 	for f in $(man1) ; do test -f $(DESTDIR)$(man1dir)/$$f && chmod 644 $(DESTDIR)$(man1dir)/$$f ; done ; exit 0
+ 	for f in $(man5) ; do test -f $(DESTDIR)$(man5dir)/$$f && chmod 644 $(DESTDIR)$(man5dir)/$$f ; done ; exit 0
+ 	for f in $(man7) ; do test -f $(DESTDIR)$(man7dir)/$$f && chmod 644 $(DESTDIR)$(man7dir)/$$f ; done ; exit 0
+ 	for f in $(man8) ; do test -f $(DESTDIR)$(man8dir)/$$f && chmod 644 $(DESTDIR)$(man8dir)/$$f ; done ; exit 0
+-	test -w /etc || exit 0 ; for f in $(mandir) $(man1dir) $(man5dir) $(man7dir) $(man8dir) ; do test -d $(DESTDIR)$$f && chown bin $(DESTDIR)$$f && chgrp bin $(DESTDIR)$$f ; done ; exit 0
+-	test -w /etc || exit 0 ; for f in $(man1) ; do test -f $(DESTDIR)$(man1dir)/$$f && chown bin $(DESTDIR)$(man1dir)/$$f && chgrp bin $(DESTDIR)$(man1dir)/$$f ; done ; exit 0
+-	test -w /etc || exit 0 ; for f in $(man5) ; do test -f $(DESTDIR)$(man5dir)/$$f && chown bin $(DESTDIR)$(man5dir)/$$f && chgrp bin $(DESTDIR)$(man5dir)/$$f ; done ; exit 0
+-	test -w /etc || exit 0 ; for f in $(man7) ; do test -f $(DESTDIR)$(man7dir)/$$f && chown bin $(DESTDIR)$(man7dir)/$$f && chgrp bin $(DESTDIR)$(man7dir)/$$f ; done ; exit 0
+-	test -w /etc || exit 0 ; for f in $(man8) ; do test -f $(DESTDIR)$(man8dir)/$$f && chown bin $(DESTDIR)$(man8dir)/$$f && chgrp bin $(DESTDIR)$(man8dir)/$$f ; done ; exit 0
++#	test -w /etc || exit 0 ; for f in $(mandir) $(man1dir) $(man5dir) $(man7dir) $(man8dir) ; do test -d $(DESTDIR)$$f && chown bin $(DESTDIR)$$f && chgrp bin $(DESTDIR)$$f ; done ; exit 0
++#	test -w /etc || exit 0 ; for f in $(man1) ; do test -f $(DESTDIR)$(man1dir)/$$f && chown bin $(DESTDIR)$(man1dir)/$$f && chgrp bin $(DESTDIR)$(man1dir)/$$f ; done ; exit 0
++#	test -w /etc || exit 0 ; for f in $(man5) ; do test -f $(DESTDIR)$(man5dir)/$$f && chown bin $(DESTDIR)$(man5dir)/$$f && chgrp bin $(DESTDIR)$(man5dir)/$$f ; done ; exit 0
++#	test -w /etc || exit 0 ; for f in $(man7) ; do test -f $(DESTDIR)$(man7dir)/$$f && chown bin $(DESTDIR)$(man7dir)/$$f && chgrp bin $(DESTDIR)$(man7dir)/$$f ; done ; exit 0
++#	test -w /etc || exit 0 ; for f in $(man8) ; do test -f $(DESTDIR)$(man8dir)/$$f && chown bin $(DESTDIR)$(man8dir)/$$f && chgrp bin $(DESTDIR)$(man8dir)/$$f ; done ; exit 0
+ 	for f in $(htmldoc_DATA) ; do chmod 444 $(DESTDIR)$(htmldocdir)/$$f ; done
+-	test -w /etc || exit 0; for f in $(htmldoc_DATA) ; do chown bin $(DESTDIR)$(htmldocdir)/$$f ; chgrp bin $(DESTDIR)$(htmldocdir)/$$f ; done
++#	test -w /etc || exit 0; for f in $(htmldoc_DATA) ; do chown bin $(DESTDIR)$(htmldocdir)/$$f ; chgrp bin $(DESTDIR)$(htmldocdir)/$$f ; done
+ 
+ status.html: config.status
+ 
+@@ -529,22 +529,22 @@
+ 	@SUBDIRS="$(SUBDIRS)" ; for f in $$SUBDIRS ; do ( cd $$f && $(MAKE) $(AM_MAKEFLAGS) install-perms ) ; cat /dev/null >>$$f/permissions.dat ; cat $$f/permissions.dat >>permissions.dat ; done
+ 
+ install-perms-local:
+-	@echo @mandir@ 755 bin bin >>permissions.dat
+-	@echo $(man1dir) 755 bin bin >>permissions.dat
+-	@echo $(man5dir) 755 bin bin >>permissions.dat
+-	@echo $(man7dir) 755 bin bin >>permissions.dat
+-	@echo $(man8dir) 755 bin bin >>permissions.dat
+-	@for f in $(man1) ; do	\
+-	echo $(man1dir)/$$f 644 bin bin man >>permissions.dat ; done
+-	@for f in $(man5) ; do	\
+-	echo $(man5dir)/$$f 644 bin bin man >>permissions.dat ; done
+-	@for f in $(man7) ; do	\
+-	echo $(man7dir)/$$f 644 bin bin man >>permissions.dat ; done
+-	@for f in $(man8) ; do	\
+-	echo $(man8dir)/$$f 644 bin bin man >>permissions.dat ; done
+-	@for f in $(man_LINKS) ; do	\
+-	echo $$f 644 bin bin man >>permissions.dat ; done
+-	@echo $(htmldocdir) 755 bin bin >>permissions.dat
+-	@for f in $(htmldoc_DATA) ; do \
+-	echo $(htmldocdir)/$$f 444 bin bin doc >>permissions.dat ; done
++#	@echo @mandir@ 755 bin bin >>permissions.dat
++#	@echo $(man1dir) 755 bin bin >>permissions.dat
++#	@echo $(man5dir) 755 bin bin >>permissions.dat
++#	@echo $(man7dir) 755 bin bin >>permissions.dat
++#	@echo $(man8dir) 755 bin bin >>permissions.dat
++#	@for f in $(man1) ; do	\
++#	echo $(man1dir)/$$f 644 bin bin man >>permissions.dat ; done
++#	@for f in $(man5) ; do	\
++#	echo $(man5dir)/$$f 644 bin bin man >>permissions.dat ; done
++#	@for f in $(man7) ; do	\
++#	echo $(man7dir)/$$f 644 bin bin man >>permissions.dat ; done
++#	@for f in $(man8) ; do	\
++#	echo $(man8dir)/$$f 644 bin bin man >>permissions.dat ; done
++#	@for f in $(man_LINKS) ; do	\
++#	echo $$f 644 bin bin man >>permissions.dat ; done
++#	@echo $(htmldocdir) 755 bin bin >>permissions.dat
++#	@for f in $(htmldoc_DATA) ; do \
++#	echo $(htmldocdir)/$$f 444 bin bin doc >>permissions.dat ; done
+ 
+--- courier/doc/Makefile.in.orig	Tue Apr 22 23:46:13 2003
++++ courier/doc/Makefile.in	Sat Aug  9 16:22:25 2003
+@@ -985,18 +985,18 @@
+ 	$(MAKE) do-man-install
+ 
+ do-man-install:
+-	for f in $(mandir) $(man1dir) $(man7dir) $(man8dir) ; do test -d $(DESTDIR)$$f && chmod 755 $(DESTDIR)$$f ; done ; exit 0
++#	for f in $(mandir) $(man1dir) $(man7dir) $(man8dir) ; do test -d $(DESTDIR)$$f && chmod 755 $(DESTDIR)$$f ; done ; exit 0
+ 	for f in $(man1) ; do test -f $(DESTDIR)$(man1dir)/$$f && chmod 644 $(DESTDIR)$(man1dir)/$$f ; done ; exit 0
+ 	for f in $(man5) ; do test -f $(DESTDIR)$(man5dir)/$$f && chmod 644 $(DESTDIR)$(man5dir)/$$f ; done ; exit 0
+ 	for f in $(man7) ; do test -f $(DESTDIR)$(man7dir)/$$f && chmod 644 $(DESTDIR)$(man7dir)/$$f ; done ; exit 0
+ 	for f in $(man8) ; do test -f $(DESTDIR)$(man8dir)/$$f && chmod 644 $(DESTDIR)$(man8dir)/$$f ; done ; exit 0
+-	test -w /etc || exit 0 ; for f in $(mandir) $(man1dir) $(man5dir) $(man7dir) $(man8dir) ; do test -d $(DESTDIR)$$f && chown bin $(DESTDIR)$$f && chgrp bin $(DESTDIR)$$f ; done ; exit 0
+-	test -w /etc || exit 0 ; for f in $(man1) ; do test -f $(DESTDIR)$(man1dir)/$$f && chown bin $(DESTDIR)$(man1dir)/$$f && chgrp bin $(DESTDIR)$(man1dir)/$$f ; done ; exit 0
+-	test -w /etc || exit 0 ; for f in $(man5) ; do test -f $(DESTDIR)$(man5dir)/$$f && chown bin $(DESTDIR)$(man5dir)/$$f && chgrp bin $(DESTDIR)$(man5dir)/$$f ; done ; exit 0
+-	test -w /etc || exit 0 ; for f in $(man7) ; do test -f $(DESTDIR)$(man7dir)/$$f && chown bin $(DESTDIR)$(man7dir)/$$f && chgrp bin $(DESTDIR)$(man7dir)/$$f ; done ; exit 0
+-	test -w /etc || exit 0 ; for f in $(man8) ; do test -f $(DESTDIR)$(man8dir)/$$f && chown bin $(DESTDIR)$(man8dir)/$$f && chgrp bin $(DESTDIR)$(man8dir)/$$f ; done ; exit 0
++#	test -w /etc || exit 0 ; for f in $(mandir) $(man1dir) $(man5dir) $(man7dir) $(man8dir) ; do test -d $(DESTDIR)$$f && chown bin $(DESTDIR)$$f && chgrp bin $(DESTDIR)$$f ; done ; exit 0
++#	test -w /etc || exit 0 ; for f in $(man1) ; do test -f $(DESTDIR)$(man1dir)/$$f && chown bin $(DESTDIR)$(man1dir)/$$f && chgrp bin $(DESTDIR)$(man1dir)/$$f ; done ; exit 0
++#	test -w /etc || exit 0 ; for f in $(man5) ; do test -f $(DESTDIR)$(man5dir)/$$f && chown bin $(DESTDIR)$(man5dir)/$$f && chgrp bin $(DESTDIR)$(man5dir)/$$f ; done ; exit 0
++#	test -w /etc || exit 0 ; for f in $(man7) ; do test -f $(DESTDIR)$(man7dir)/$$f && chown bin $(DESTDIR)$(man7dir)/$$f && chgrp bin $(DESTDIR)$(man7dir)/$$f ; done ; exit 0
++#	test -w /etc || exit 0 ; for f in $(man8) ; do test -f $(DESTDIR)$(man8dir)/$$f && chown bin $(DESTDIR)$(man8dir)/$$f && chgrp bin $(DESTDIR)$(man8dir)/$$f ; done ; exit 0
+ 	for f in $(htmldoc_DATA) ; do chmod 444 $(DESTDIR)$(htmldocdir)/$$f ; done
+-	test -w /etc || exit 0; for f in $(htmldoc_DATA) ; do chown bin $(DESTDIR)$(htmldocdir)/$$f ; chgrp bin $(DESTDIR)$(htmldocdir)/$$f ; done
++#	test -w /etc || exit 0; for f in $(htmldoc_DATA) ; do chown bin $(DESTDIR)$(htmldocdir)/$$f ; chgrp bin $(DESTDIR)$(htmldocdir)/$$f ; done
+ 
+ status.html: config.status
+ 
+@@ -1009,24 +1009,24 @@
+ 	@SUBDIRS="$(SUBDIRS)" ; for f in $$SUBDIRS ; do ( cd $$f && $(MAKE) $(AM_MAKEFLAGS) install-perms ) ; cat /dev/null >>$$f/permissions.dat ; cat $$f/permissions.dat >>permissions.dat ; done
+ 
+ install-perms-local:
+-	@echo @mandir@ 755 bin bin >>permissions.dat
+-	@echo $(man1dir) 755 bin bin >>permissions.dat
+-	@echo $(man5dir) 755 bin bin >>permissions.dat
+-	@echo $(man7dir) 755 bin bin >>permissions.dat
+-	@echo $(man8dir) 755 bin bin >>permissions.dat
+-	@for f in $(man1) ; do	\
+-	echo $(man1dir)/$$f 644 bin bin man >>permissions.dat ; done
+-	@for f in $(man5) ; do	\
+-	echo $(man5dir)/$$f 644 bin bin man >>permissions.dat ; done
+-	@for f in $(man7) ; do	\
+-	echo $(man7dir)/$$f 644 bin bin man >>permissions.dat ; done
+-	@for f in $(man8) ; do	\
+-	echo $(man8dir)/$$f 644 bin bin man >>permissions.dat ; done
+-	@for f in $(man_LINKS) ; do	\
+-	echo $$f 644 bin bin man >>permissions.dat ; done
+-	@echo $(htmldocdir) 755 bin bin >>permissions.dat
+-	@for f in $(htmldoc_DATA) ; do \
+-	echo $(htmldocdir)/$$f 444 bin bin doc >>permissions.dat ; done
++#	@echo @mandir@ 755 bin bin >>permissions.dat
++#	@echo $(man1dir) 755 bin bin >>permissions.dat
++#	@echo $(man5dir) 755 bin bin >>permissions.dat
++#	@echo $(man7dir) 755 bin bin >>permissions.dat
++#	@echo $(man8dir) 755 bin bin >>permissions.dat
++#	@for f in $(man1) ; do	\
++#	echo $(man1dir)/$$f 644 bin bin man >>permissions.dat ; done
++#	@for f in $(man5) ; do	\
++#	echo $(man5dir)/$$f 644 bin bin man >>permissions.dat ; done
++#	@for f in $(man7) ; do	\
++#	echo $(man7dir)/$$f 644 bin bin man >>permissions.dat ; done
++#	@for f in $(man8) ; do	\
++#	echo $(man8dir)/$$f 644 bin bin man >>permissions.dat ; done
++#	@for f in $(man_LINKS) ; do	\
++#	echo $$f 644 bin bin man >>permissions.dat ; done
++#	@echo $(htmldocdir) 755 bin bin >>permissions.dat
++#	@for f in $(htmldoc_DATA) ; do \
++#	echo $(htmldocdir)/$$f 444 bin bin doc >>permissions.dat ; done
+ # Tell versions [3.59,3.63) of GNU make to not export all variables.
+ # Otherwise a system limit (for SysV at least) may be exceeded.
+ .NOEXPORT:
How-To-Repeat:         cd /usr/ports/mail/courier; make
Comment 1 Oliver Lehmann freebsd_committer freebsd_triage 2003-08-09 21:39:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->oliver

I'll handle that
Comment 2 Oliver Lehmann freebsd_committer freebsd_triage 2003-08-09 23:40:43 UTC
State Changed
From-To: open->closed

Comitted, Thanks!